Skip to main content

createCommit

Create a register of a commit in an asset

createCommit(
input: CreateCommitInput!
): CreateCommitPayload

Arguments​

createCommit.input ● CreateCommitInput! non-null input​

Parameters for CreateCommit

Type​

CreateCommitPayload object​

Autogenerated return type of CreateCommit.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the assets query first and use data.assets.collection[].id as assetId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreateCommit($input: CreateCommitInput!) {\n createCommit(input: $input) { clientMutationId commit { id asset { __typename } commitDate } }\n}","variables":{"input":{"input":{"name":"example","email":"example","commitHash":"example","assetId":"<asset_id>"}}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute